org.acplt.oncrpc.server

## Class OncRpcServerAuthNone

- java.lang.Object
- - org.acplt.oncrpc.server.OncRpcServerAuth
  - - org.acplt.oncrpc.server.OncRpcServerAuthNone

    public final class OncRpcServerAuthNone
    extends OncRpcServerAuth

The `OncRpcServerAuthNone` class handles all protocol issues of the ONC/RPC authentication `AUTH_NONE` on the server side.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`static OncRpcServerAuthNone` `AUTH_NONE` Singleton to use when an authentication object for `AUTH_NONE` is needed.

### Constructor Summary

Constructors
Constructor and Description
`OncRpcServerAuthNone()`

### Method Summary

Methods
`int` `getAuthenticationType()` Returns the type (flavor) of `authentication` used.
`void` `xdrDecodeCredVerf(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.
`void` `xdrEncodeVerf(XdrEncodingStream xdr)` Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

### Methods inherited from class org.acplt.oncrpc.server.OncRpcServerAuth

`xdrNew`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTH_NONE

    public static final OncRpcServerAuthNone AUTH_NONE

Singleton to use when an authentication object for `AUTH_NONE` is needed.

### Constructor Detail

#### OncRpcServerAuthNone

    public OncRpcServerAuthNone()

### Method Detail

#### getAuthenticationType

    public final int getAuthenticationType()

Returns the type (flavor) of `authentication` used.

Specified by:
  `getAuthenticationType` in class `OncRpcServerAuth`
Returns:
  Authentication type used by this authentication object.

#### xdrDecodeCredVerf

    public final void xdrDecodeCredVerf(XdrDecodingStream xdr)
                                 throws OncRpcException,
                                        java.io.IOException

Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.

Specified by:
  `xdrDecodeCredVerf` in class `OncRpcServerAuth`
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrEncodeVerf

    public final void xdrEncodeVerf(XdrEncodingStream xdr)
                             throws OncRpcException,
                                    java.io.IOException

Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

Specified by:
  `xdrEncodeVerf` in class `OncRpcServerAuth`
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.